Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface ViewIterator

All Known Implementing Classes:
  CatalogItemIterator, CategoryItemIterator, CategoryIterator, OrphanedItemIterator, ProductItemIterator, SearchItemIterator, SiblingIterator, SubCategoryIterator

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ViewIterator

A `ViewIterator` is an iterator over large result sets that are broken into a series of `View`s.

See Also
  `View`

Method Summary
`View` | `getCurrentView()` Deprecated See BEA Commerce product offering
`View` | `getViewAt(int index)` Deprecated See BEA Commerce product offering
`int` | `getViewCount()` Deprecated See BEA Commerce product offering
`void` | `gotoNextView()` Deprecated See BEA Commerce product offering
`void` | `gotoPreviousView()` Deprecated See BEA Commerce product offering
`void` | `gotoViewAt(int index)` Deprecated See BEA Commerce product offering
`boolean` | `hasNext()` Deprecated See BEA Commerce product offering
`boolean` | `hasNextView()` Deprecated See BEA Commerce product offering
`boolean` | `hasPreviousView()` Deprecated See BEA Commerce product offering
`Object` | `next()` Deprecated See BEA Commerce product offering
`int` | `size()` Deprecated See BEA Commerce product offering

Method Detail

### size

    int size()

  Deprecated See BEA Commerce product offering

  Returns the number of objects over which the iterator spans. This number is guaranteed to only be accurate at the time of iterator creation.

  Returns
    The number of spanned objects.

### hasNext

    boolean hasNext()

  Deprecated See BEA Commerce product offering

  Returns `true` if the iterator has more elements.

  Returns
    `true` if the iterator has more elements.

### next

    Object next()
                throws NoSuchElementException,
                       RemoteException

  Deprecated See BEA Commerce product offering

  Returns the next element in the iteration.

  Returns
    the next element in the iteration.
  Throws
    `RemoteException` - on remote error.
    `NoSuchElementException` - if the iteration has no more elements.

### getViewCount

    int getViewCount()

  Deprecated See BEA Commerce product offering

  Returns the number of views spanned by this iterator.

  Returns
    the number of views spanned by this iterator.

### getCurrentView

    View getCurrentView()

  Deprecated See BEA Commerce product offering

  Returns the current view.

  Returns
    The current view.

### getViewAt

    View getViewAt(int index)
                   throws IndexOutOfBoundsException

  Deprecated See BEA Commerce product offering

  Gets the view at the specified index.

  Parameters
    `index` - The index of the desired view.
  Returns
    The view at the specified index.
  Throws
    `IndexOutOfBoundsException` - if the index is invalid.

### hasNextView

    boolean hasNextView()

  Deprecated See BEA Commerce product offering

  Returns `true` if the iterator has a next view.

  Returns
    `true` if the iterator has a next view.

### hasPreviousView

    boolean hasPreviousView()

  Deprecated See BEA Commerce product offering

  Returns `true` if the iterator has a previous view.

  Returns
    `true` if the iterator has a previous view.

### gotoNextView

    void gotoNextView()
                      throws NoSuchViewException

  Deprecated See BEA Commerce product offering

  Moves the iterator to the next view.

  Throws
    `NoSuchViewException` - if the iterator does not have a next view.

### gotoPreviousView

    void gotoPreviousView()
                          throws NoSuchViewException

  Deprecated See BEA Commerce product offering

  Moves the iterator to the previous view.

  Throws
    `NoSuchViewException` - if the iterator does not have a previous view.

### gotoViewAt

    void gotoViewAt(int index)
                    throws NoSuchViewException

  Deprecated See BEA Commerce product offering

  Moves the iterator to the view at the specified index.

  Parameters
    `index` - The index of the desired view.
  Throws
    `NoSuchViewException` - if the index is invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved